Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026455
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2014-05-05 15:422014-06-25 01:35
ReporteralostaleView Statuspublic 
Assigned Todbaz 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revisionf401b711161b
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026455: Tree Extension Improvements

DescriptionImplement following features for trees:

*Add a way to avoid view the icons. If the tree is not read-only, they always must be shown

*Allow define a tree as read-only at tab level. Avoid delete records from tree view

*Support different deletion policies. Define a combo inside the "Table Tree Category" subtab of the header of "Tables and Columns". There should be two optiones here:
**Reparent child nodes (current one)
**Do not allow removing if a node has a children
**(Nice to have) delete on cascade

*Support saved views with tree views

*Default Tree View logic: show the tree view or the grid view based on a logic defined at tab level
Steps To Reproduce-
Proposed SolutionSee project doc: http://wiki.openbravo.com/wiki/Projects:Tree_Extension_Improvements [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067300)
hgbot (developer)
2014-05-20 12:23

Repository: erp/devel/pi
Changeset: f401b711161b6e74d379f726521b038291eb9745
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue May 20 12:22:06 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f401b711161b6e74d379f726521b038291eb9745 [^]

[treeimpr] fixed issue 26455: Tree Extension Improvements

*Add a way to avoid view the icons. If the tree is not read-only, they always must be shown

*Allow define a tree as read-only at tab level. Avoid delete records from tree view

*Support different deletion policies. Define a combo inside the "Table Tree Category" subtab of the header of "Tables and Columns". There should be two optiones here:
**Reparent child nodes (current one)
**Do not allow removing if a node has a children

*Support saved views with tree views

*Default Tree View logic: show the tree view or the grid view based on a logic defined at tab level

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TAB.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_TAB.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TableTreeEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-tree-grid.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-tab.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBTreeGridComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewTab.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-manage-views.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/AD_TAB.xml
M modules/org.openbravo.client.myob/src-db/database/sourcedata/AD_TAB.xml
M modules/org.openbravo.client.querylist/src-db/database/sourcedata/AD_TAB.xml
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_TAB.xml
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_TAB.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_TAB.xml
M modules/org.openbravo.userinterface.selector/src-db/database/sourcedata/AD_TAB.xml
M src-db/database/model/tables/AD_TAB.xml
M src-db/database/model/tables/AD_TABLE_TREE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE_TREE.xml
---
(0067346)
hudsonbot (developer)
2014-05-21 18:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/30be5c8a933a [^]
Maturity status: Test
(0067712)
AugustoMauch (developer)
2014-06-03 16:39

Code reviewed and verified in pi@9e9cdee21888
(0068253)
hgbot (developer)
2014-06-23 16:17

Repository: erp/devel/pi
Changeset: 4639ca577e0b79f63aed092927dad3511510a7a8
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Mon Jun 23 16:17:36 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4639ca577e0b79f63aed092927dad3511510a7a8 [^]

[treeimpr] Related to issue 26455: 'Default Tree View Logic' now only affects
to the child views of the view where it applies. This is to fix the case where you cannot manually
change between the tree/grid view mode and then move to another different record (inside the same view)
preserving the previous manually set mode.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0068293)
hudsonbot (developer)
2014-06-25 01:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e78ccbaf0186 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-05 15:42 alostale New Issue
2014-05-05 15:42 alostale Assigned To => dbaz
2014-05-05 15:42 alostale Modules => Core
2014-05-05 15:42 alostale Triggers an Emergency Pack => No
2014-05-20 12:21 alostale Review Assigned To => AugustoMauch
2014-05-20 12:23 hgbot Checkin
2014-05-20 12:23 hgbot Note Added: 0067300
2014-05-20 12:23 hgbot Status new => resolved
2014-05-20 12:23 hgbot Resolution open => fixed
2014-05-20 12:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f401b711161b6e74d379f726521b038291eb9745 [^]
2014-05-21 18:34 hudsonbot Checkin
2014-05-21 18:34 hudsonbot Note Added: 0067346
2014-06-03 16:39 AugustoMauch Note Added: 0067712
2014-06-03 16:39 AugustoMauch Status resolved => closed
2014-06-03 16:39 AugustoMauch Fixed in Version => PR14Q3
2014-06-23 16:17 hgbot Checkin
2014-06-23 16:17 hgbot Note Added: 0068253
2014-06-25 01:35 hudsonbot Checkin
2014-06-25 01:35 hudsonbot Note Added: 0068293


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker